mdef_t Struct Reference

The main model definition structure. More...

`#include <mdef.h>`

## Data Fields

int32 | n_ciphone
| number basephones actually present
int32 | n_phone
| number basephones + number triphones actually present
int32 | n_emit_state
| number emitting states per phone
int32 | n_ci_sen
| number CI senones; these are the first
int32 | n_sen
| number senones (CI+CD)
int32 | n_tmat
| number transition matrices
hash_table_t * | ciphone_ht
| Hash table for mapping ciphone strings to ids.
ciphone_t * | ciphone
| CI-phone information for all ciphones.
phone_t * | phone
| Information for all ciphones and triphones.
uint16 ** | sseq
| Unique state (or senone) sequences in this model, shared among all phones/triphones.
int32 | n_sseq
| No. More...
int16 * | cd2cisen
| Parent CI-senone id for each senone; the first n_ci_sen are identity mappings; the CD-senones are contiguous for each parent CI-phone.
int16 * | sen2cimap
| Parent CI-phone for each senone (CI or CD)
int16 | sil
| SILENCE_CIPHONE id.
ph_lc_t *** | wpos_ci_lclist
| wpos_ci_lclist[wpos][ci] = list of lc for <wpos,ci>. More...

## Detailed Description

The main model definition structure.

strcture for storing the model definition.

Definition at line 135 of file mdef.h.

## Field Documentation

## n_sseq

int32 mdef_t::n_sseq

No.

of unique senone sequences in this model

Definition at line 148 of file mdef.h.

Referenced by bin_mdef_read_text(), and mdef_report().

## wpos_ci_lclist

ph_lc_t*** mdef_t::wpos_ci_lclist

wpos_ci_lclist[wpos][ci] = list of lc for <wpos,ci>.

wpos_ci_lclist[wpos][ci][lc].rclist = list of rc for <wpos,ci,lc>. Only entries for the known triphones are created to conserve space. (NOTE: FOR INTERNAL USE ONLY.)

Definition at line 157 of file mdef.h.

Referenced by bin_mdef_read_text(), mdef_free(), and mdef_phone_id().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/mdef.h